Return current array entry

- « SplFixedArray::count

- SplFixedArray::fromArray »

- PHP Manual
- SplFixedArray
- Return current array entry

# SplFixedArray::current

(PHP 5 >= 5.3.0, PHP 7)

SplFixedArray::current — Return current array entry

### Description

public SplFixedArray::current(): mixed

Get the current array element.

### Parameters

This function has no parameters.

### Return Values

The current element value.

### Errors/Exceptions

Throws RuntimeException when the internal array pointer points to an invalid index or is out of bounds.